Datastore Get Host

Datastore Get Host
Hosts attached to this datastore.

Hosts attached to this datastore.

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/Datastore/{moId}/host
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case Datastore/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "key": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "mountInfo": {
            "_typeName": "string",
            "path": "string",
            "accessMode": "string",
            "mounted": false,
            "accessible": false,
            "inaccessibleReason": "string",
            "vmknicName": "string",
            "vmknicActive": false,
            "mountFailedReason": "string",
            "numTcpConnections": 0
        }
    }
]
array of object
Optional

Host-specific datastore information.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/Datastore/{moId}/host